Name: drac
Version: 1.11
Release: alt3

Summary: DRAC is a daemon for support POP-BEFORE-SMTP authorization mechainsm
License: GPL
Group: System/Servers
Url: http://mail.cc.umanitoba.ca/drac/

Source0: %name-%version.tgz
Source1: dracd-init
Source2: rpc.dracd-sysconfig
Source3: %name-%version.README.ALT.koi8

Patch0: %name-1.11-alt-makefile.patch
Patch1: %name-1.11-alt-fixes.patch
Patch2: %name-1.11-alt-pidfile.patch

PreReq: portmap

# Automatically added by buildreq on Sat Sep 13 2003
BuildRequires: libdb4.0-devel

%description
The %name packages contains the rpc.dracd daemon. DRAC is a robust implementation of
POP-before-SMTP. It uses a single daemon process for add and delete entries from a
relay authorization map (BerkleyDB database). POP or IMAP servers use RPC calls to
request the daemon to add entries after they have authenticate the user. Source
modifications are required to add the RPC calls. The DRAC daemon also expires entries
after a suitable time has elapsed. Since RPC works across the network, the POP server
and the SMTP server can reside on different hosts.

%package devel-static
Summary: Static DRAC library
Group: Development/Other

%description devel-static
Static library for developing a DRAC-aware clients.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make_build

%install
%__mkdir_p %buildroot/%_initrddir
%__mkdir_p %buildroot/%_sysconfdir/mail
%__mkdir_p %buildroot/%_sysconfdir/sysconfig
%__mkdir_p %buildroot/%_bindir
%__mkdir_p %buildroot/%_sbindir
%__mkdir_p %buildroot/%_libdir
%__mkdir_p %buildroot/%_man3dir
%__mkdir_p %buildroot/%_man8dir

%__cp testing.c test-dracd.c
%__cp %SOURCE3 README.ALT.koi8

%makeinstall DESTDIR=%buildroot
%__install -D -m 0755 testing %buildroot/%_bindir/test-dracd
%__install -D -m 0644 dracd.allow-sample %buildroot/%_sysconfdir/dracd.allow
%__install -D -m 0755 %SOURCE1 %buildroot/%_initdir/rpc.dracd
%__install -D -m 0644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/rpc.dracd
touch %buildroot/%_sysconfdir/mail/dracd.db

%post
%post_service rpc.dracd

%preun
%preun_service rpc.dracd

%files
%config %_sysconfdir/dracd.allow
%config %_sysconfdir/sysconfig/rpc.dracd
%_sysconfdir/mail/dracd.db
%_initdir/rpc.dracd
%_sbindir/rpc.dracd
%_bindir/test-dracd
%_man8dir/rpc.dracd.8*
%doc COPYRIGHT Changes INSTALL PORTING README README.ALT.koi8 test-dracd.c

%files devel-static
%_libdir/libdrac.a
%_man3dir/dracauth.3*

%changelog
* Sat Sep 13 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.11-alt3
- spec-file cleanup
- rewrite init-script
- rebuild with hasher

* Fri Sep 12 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.11-alt2
- fix BuildRequires

* Thu Aug 15 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 1.11-alt1
- initial package
